# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%global jettyname   jetty
%global jtuid       110
%global username    %{name}
%global confdir     %{_sysconfdir}/%{name}
%global logdir      %{_localstatedir}/log/%{name}
%global homedir     %{_datadir}/%{name}
%global jettycachedir %{_localstatedir}/cache/%{name}
%global tempdir     %{jettycachedir}/temp
%global rundir      %{_localstatedir}/run/%{name}
%global jettylibdir %{_localstatedir}/lib/%{name}
%global appdir      %{jettylibdir}/webapps

%global addver v20120716


%{?scl:%scl_package jetty}
%{!?scl:%global pkg_name %{name}}

Name:           %{?scl_prefix}jetty
Version:        8.1.5
Release:        8%{?dist}
Summary:        Java Webserver and Servlet Container

Group:          Applications/Internet
# Jetty is dual licensed under both ASL 2.0 and EPL 1.0, see NOTICE.txt
License:        ASL 2.0 or EPL
URL:            http://jetty.mortbay.org/jetty/
Source0:        http://git.eclipse.org/c/jetty/org.eclipse.jetty.project.git/snapshot/jetty-%{version}.%{addver}.tar.bz2
Source1:        djetty.script
Source3:        jetty.logrotate
Source4:        %{pkg_name}-depmap.xml
Source5:        %{pkg_name}.service
Patch1:         0001-Remove-javadoc-execution.patch
Patch2:         0002-Disable-test-artifacts.patch
Patch3:         0003-Change-servelt-groupId-to-javax.servlet.patch
Patch4:         0004-Modify-dependencies.patch
Patch5:         0005-Remove-pmd-plugin.patch
Patch6:         0006-Remove-unpack-config-deps-from-distribution.patch
Patch100:       %{pkg_name}-create-work-dir.patch

BuildRequires:  geronimo-annotation
BuildRequires:  geronimo-jta
BuildRequires:  glassfish-jsp
BuildRequires:  glassfish-jsp-api
BuildRequires:  jakarta-taglibs-standard
BuildRequires:  java7-devel >= 1:1.7.0
BuildRequires:  jpackage-utils
BuildRequires:  jvnet-parent
BuildRequires:  maven
BuildRequires:  maven-dependency-plugin
BuildRequires:  objectweb-asm
BuildRequires:  slf4j
BuildRequires:  tomcat-el-2.2-api
BuildRequires:  tomcat-jsp-2.2-api
BuildRequires:  tomcat-lib
BuildRequires:  tomcat-servlet-3.0-api

%if 0%{?rhel} <= 0
BuildRequires:  eclipse-platform
BuildRequires:  eclipse-rcp
BuildRequires:  mongo-java-driver >= 2.6.5-4
%endif

# we want javamail not classpathx-javamail
#BuildRequires:  %{_root_datadir}/java/javamail/mail.jar
BuildRequires:  jetty-parent
BuildRequires:  jetty-distribution-remote-resources
BuildRequires:  jetty-build-support
BuildRequires:  jetty-version-maven-plugin
BuildRequires:  jetty-toolchain
BuildRequires:  jetty-assembly-descriptors
BuildRequires:  jetty-test-policy
BuildRequires:  jetty-artifact-remote-resources


BuildArch:		noarch

Requires:       java >= 1:1.6.0
Requires:       jpackage-utils
Requires:       %{?scl_prefix}jetty-continuation     = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-http             = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-io               = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-security         = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-server           = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-servlet          = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-util             = %{version}-%{release}
%{?scl:Requires: %scl_runtime}

# These are not required by main jetty server so we don't require them
# in RPM. Install as necessary
# Requires:       jetty-http-spi         = %{version}-%{release}
# Requires:       jetty-jaspi            = %{version}-%{release}
# Requires:       jetty-nested           = %{version}-%{release}
# %if 0%{?rhel} <= 0
# Requires:       jetty-nosql            = %{version}-%{release}
# Requires:       jetty-osgi             = %{version}-%{release}
# %endif

Requires(pre):    shadow-utils


%description
%global desc \
Jetty is a 100% Java HTTP Server and Servlet Container. This means that you\
do not need to configure and run a separate web server (like Apache) in order\
to use Java, servlets and JSPs to generate dynamic content. Jetty is a fully\
featured web server for static and dynamic content. Unlike separate\
server/container solutions, this means that your web server and web\
application run in the same process, without interconnection overheads\
and complications. Furthermore, as a pure java component, Jetty can be simply\
included in your application for demonstration, distribution or deployment.\
Jetty is available on all Java supported platforms.
%{desc}
%global extdesc %{desc}\
\
This package contains

%package        project
Summary:        POM files for Jetty
Group:          Development/Libraries
Requires:       java >= 1:1.6.0
Requires:       jpackage-utils
#Requires:       jetty-parent

%description    project
%{extdesc} %{summary}.

%package        continuation
Summary:        continuation module for Jetty
Requires:       java >= 1:1.6.0
Requires:       jpackage-utils
Requires:       %{?scl_prefix}jetty-project = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-util    = %{version}-%{release}
Requires:       %{?scl_prefix}tomcat-servlet-3.0-api
%description    continuation
%{extdesc} %{summary}.


%package        http
Summary:        http module for Jetty
Requires:       java >= 1:1.6.0
Requires:       jpackage-utils
Requires:       %{?scl_prefix}jetty-project = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-io      = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-util    = %{version}-%{release}
Requires:       %{?scl_prefix}tomcat-servlet-3.0-api
%description    http
%{extdesc} %{summary}.


%package        io
Summary:        io module for Jetty
Requires:       java >= 1:1.6.0
Requires:       jpackage-utils
Requires:       %{?scl_prefix}jetty-project = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-util    = %{version}-%{release}

%description    io
%{extdesc} %{summary}.


%package        security
Summary:        security module for Jetty
Requires:       java >= 1:1.6.0
Requires:       jpackage-utils
Requires:       %{?scl_prefix}jetty-project = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-http    = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-server  = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-util    = %{version}-%{release}
Requires:       %{?scl_prefix}tomcat-servlet-3.0-api

%description    security
%{extdesc} %{summary}.

%package        server
Summary:        server module for Jetty
Requires:       java >= 1:1.6.0
Requires:       jpackage-utils
Requires:       %{?scl_prefix}jetty-project      = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-continuation = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-http         = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-io           = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-util         = %{version}-%{release}
Requires:       %{?scl_prefix}tomcat-servlet-3.0-api

%description    server
%{extdesc} %{summary}.

%package        servlet
Summary:        servlet module for Jetty
Requires:       java >= 1:1.6.0
Requires:       jpackage-utils
Requires:       %{?scl_prefix}jetty-project      = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-continuation = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-http         = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-io           = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-security     = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-server       = %{version}-%{release}
Requires:       %{?scl_prefix}jetty-util         = %{version}-%{release}
Requires:       %{?scl_prefix}tomcat-servlet-3.0-api

%description    servlet
%{extdesc} %{summary}.

%package        util
Summary:        util module for Jetty
# Utf8Appendable.java is additionally under MIT license
License:        (ASL 2.0 or EPL) and MIT
Requires:       java >= 1:1.6.0
Requires:       jpackage-utils
Requires:       %{?scl_prefix}jetty-project = %{version}-%{release}
Requires:       %{?scl_prefix}tomcat-servlet-3.0-api
Requires:       slf4j

%description    util
%{extdesc} %{summary}.


%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
# some MIT-licensed code (from Utf8Appendable) is used to generate javadoc
License:        (ASL 2.0 or EPL) and MIT
Requires:       jpackage-utils

%description    javadoc
%{summary}.

%prep
%setup -q -n %{jettyname}-%{version}.%{addver}
for f in $(find . -name "*.?ar"); do rm $f; done
find . -name "*.class" -exec rm {} \;


%patch1 -p1 -b .sav
%patch2 -p1 -b .sav
%patch3 -p1 -b .sav
%patch4 -p1 -b .sav
%patch5 -p1 -b .sav
%patch6 -p1 -b .sav
%if 0%{?rhel} > 0
%pom_disable_module jetty-osgi
%pom_disable_module jetty-jmx
%pom_disable_module jetty-websocket
%pom_disable_module jetty-client
%pom_disable_module jetty-xml
%pom_disable_module jetty-jaspi
%pom_disable_module jetty-webapp
%pom_disable_module jetty-servlets
%pom_disable_module jetty-deploy
%pom_disable_module jetty-ajp
%pom_disable_module jetty-jndi
%pom_disable_module jetty-annotations
%pom_disable_module jetty-plus
%pom_disable_module jetty-rewrite
%pom_disable_module jetty-policy
%pom_disable_module jetty-monitor
%pom_disable_module jetty-start
%pom_disable_module jetty-nested
%pom_disable_module jetty-overlay-deployer
%pom_disable_module jetty-nosql
%pom_disable_module jetty-http-spi
%pom_disable_module jetty-distribution
%pom_disable_module jetty-jsp
%pom_disable_module test-jetty-webapp
%pom_disable_module example-jetty-embedded
%pom_disable_module example-async-rest

%pom_disable_module jetty-spdy
%pom_disable_module jetty-aggregate

%pom_remove_plugin org.apache.maven.plugins:maven-enforcer-plugin pom.xml
%pom_xpath_remove "pom:profile[pom:id[text()='osgi']]"
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='jetty-deploy']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='jetty-rewrite']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='jetty-ajp']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='jetty-annotations']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='test-jetty-webapp']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='jetty-jmx']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='jetty-jndi']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='jetty-plus']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='jetty-client']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='jetty-start']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='jetty-policy']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='jetty-servlets']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='jetty-monitor']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='jetty-websocket']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='jetty-overlay-deployer']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='jetty-jsp']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='javax.activation']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='javax.annotation']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='org.objectweb.asm']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='javax.mail.glassfish']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='javax.transaction']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='javax.security.auth.message']]" jetty-distribution/pom.xml
%pom_xpath_remove "pom:plugin[pom:artifactId[text()='maven-dependency-plugin']]" jetty-distribution/pom.xml
%endif
%patch100 -p2 -b .sav

%pom_remove_dep :org.eclipse.jdt.core jetty-jsp
%pom_xpath_inject "pom:project/pom:dependencies" "
    <dependency>
      <groupId>org.glassfish.web</groupId>
      <artifactId>javax.servlet.jsp</artifactId>
      <version>2.2.3</version>
    </dependency>" jetty-jsp

cp %{SOURCE1} djetty

# this needs jetty6 things, so just remove it
# shouldn't cause any trouble since it handled only in loadClass elsewhere
rm jetty-continuation/src/main/java/org/eclipse/jetty/continuation/Jetty6Continuation.java

iconv -f iso-8859-1 -t utf-8 LICENSE-CONTRIBUTOR/CDDLv1.0.txt > \
      LICENSE-CONTRIBUTOR/CDDLv1.0.txt.con
mv LICENSE-CONTRIBUTOR/CDDLv1.0.txt{.con,}

%build
#rm -rf ./*
#ln -sf ~/temp/jetty/jetty-8.1.0.%{addver}.copy/* .
#exit 0
# remove previous lines!
sed -i -e "s|/usr/share|%{_datadir}|g" djetty

mvn-rpmbuild  -e \
    -Dmaven.local.depmap.file=%{SOURCE4} \
    -Dmaven.test.skip=true \
    install javadoc:aggregate
cd jetty-distribution
rm -rf target/distribution
mkdir -p target/distribution
find .. -ipath '*target/*config.jar' | ( while read; do
  unzip $REPLY -x 'META-INF/*' -d target/distribution
done)

%install
# dirs
install -dm 755 %{buildroot}%{_javadir}/%{pkg_name}
install -dm 755 %{buildroot}%{_javadocdir}/%{pkg_name}
install -dm 755 %{buildroot}%{homedir}


install -dm 755 %{buildroot}%{_mavenpomdir}
for module in jetty-continuation \
           jetty-http jetty-io  \
           jetty-security jetty-server jetty-servlet \
           jetty-util ; do
    mv $module/target/$module-*[0-9].jar \
           %{buildroot}%{_javadir}/%{pkg_name}/$module.jar
    install -pm 644 $module/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{pkg_name}-$module.pom
    %add_maven_depmap JPP.%{pkg_name}-$module.pom %{pkg_name}/$module.jar -f $module
done

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{pkg_name}-project.pom
%add_maven_depmap JPP.%{pkg_name}-project.pom -f project


# javadocs
install -dm 755 %{buildroot}%{_javadocdir}/%{pkg_name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{pkg_name}/



%files project
%doc NOTICE.txt README.txt VERSION.txt LICENSE*
%dir %{_javadir}/%{pkg_name}
%{_mavenpomdir}/JPP.%{pkg_name}-project.pom
%{_mavendepmapfragdir}/%{name}-project


%files continuation
%{_javadir}/%{pkg_name}/%{pkg_name}-continuation.jar
%{_mavenpomdir}/JPP.%{pkg_name}-%{pkg_name}-continuation.pom
%{_mavendepmapfragdir}/%{name}-%{pkg_name}-continuation

%files http
%{_javadir}/%{pkg_name}/%{pkg_name}-http.jar
%{_mavenpomdir}/JPP.%{pkg_name}-%{pkg_name}-http.pom
%{_mavendepmapfragdir}/%{name}-%{pkg_name}-http

%files io
%{_javadir}/%{pkg_name}/%{pkg_name}-io.jar
%{_mavenpomdir}/JPP.%{pkg_name}-%{pkg_name}-io.pom
%{_mavendepmapfragdir}/%{name}-%{pkg_name}-io

%files server
%{_javadir}/%{pkg_name}/%{pkg_name}-server.jar
%{_mavenpomdir}/JPP.%{pkg_name}-%{pkg_name}-server.pom
%{_mavendepmapfragdir}/%{name}-%{pkg_name}-server

%files security
%{_javadir}/%{pkg_name}/%{pkg_name}-security.jar
%{_mavenpomdir}/JPP.%{pkg_name}-%{pkg_name}-security.pom
%{_mavendepmapfragdir}/%{name}-%{pkg_name}-security

%files servlet
%{_javadir}/%{pkg_name}/%{pkg_name}-servlet.jar
%{_mavenpomdir}/JPP.%{pkg_name}-%{pkg_name}-servlet.pom
%{_mavendepmapfragdir}/%{name}-%{pkg_name}-servlet

%files util
%{_javadir}/%{pkg_name}/%{pkg_name}-util.jar
%{_mavenpomdir}/JPP.%{pkg_name}-%{pkg_name}-util.pom
%{_mavendepmapfragdir}/%{name}-%{pkg_name}-util

%files javadoc
%doc NOTICE.txt LICENSE*
%doc %{_javadocdir}/%{pkg_name}

%changelog
* Mon Oct 21 2013 Krzysztof Daniel <kdaniel@redhat.com> 8.1.5-8
- Update to latest 8.x (RHBZ#1021591).
- Fix bogus dates.

* Fri Mar 29 2013 Krzysztof Daniel <kdaniel@redhat.com> 8.1.2-21
- One more removal of java 7 dep.

* Fri Mar 29 2013 Krzysztof Daniel <kdaniel@redhat.com> 8.1.2-20
- Ammendment to previous fix.

* Fri Mar 29 2013 Krzysztof Daniel <kdaniel@redhat.com> 8.1.2-19
- Lower the requirement of runtime java to 1.6.

* Wed Feb 13 2013 Krzysztof Daniel <kdaniel@redhat.com> 8.1.2-18
- Make the package noarch.

* Fri Dec 7 2012 Krzysztof Daniel <kdaniel@redhat.com> 8.1.2-17
- Remove dependency on jetty-parent.

* Fri Dec 7 2012 Krzysztof Daniel <kdaniel@redhat.com> 8.1.2-16
- Replace tomcat-servlet-3.0-api requirement with SCLized version.

* Fri Dec 7 2012 Krzysztof Daniel <kdaniel@redhat.com> 8.1.2-15
- Migrate deps from java 1.7.0 to java7.

* Wed Nov 28 2012 Krzysztof Daniel <kdaniel@redhat.com> 8.1.2-14
- Remove the invalid dependency.

* Tue Nov 27 2012 Krzysztof Daniel <kdaniel@redhat.com> 8.1.2-13
- Initial contribution to devtoolset-2.

* Fri Oct  5 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.2-12
- Don't delete jetty user on package erase, resolves: rhbz#857708

* Mon Aug 27 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.2-11
- Create work directory if not exists, resolves: #845993

* Tue Aug  7 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.2-10
- Put runtime data in /run instead of /tmp
- Fix patch for disabling OSGi

* Wed Jun 13 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.2-9
- Fix jetty being accidentaly enabled after update by default
- Resolves: #831280

* Wed May 23 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.2-8
- Build jetty-nosql conditionally

* Tue May 15 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.2-7
- Add unconditional BR on glassfish-jsp to make build-jar-repository work

* Wed May  9 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.2-6
- Move start.ini to /etc
- Require glassfish-jsp only for jetty-webapp and jetty-osgi
- Use shadow-utils directly instead of fedora-usermgmt-devel
- Fix license tags

* Mon Apr 30 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.2-5
- Don't require subpackages not needed by server itself
- Make jetty look for jars in correct directory
- Add proper dependent jars

* Fri Apr 27 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.2-4
- Keep license files only in jetty-project and jetty-javadoc packages

* Fri Apr 27 2012 Alexander Kurtakov <akurtako@redhat.com> 8.1.2-3
- There is no epoch define in jetty.

* Thu Apr 26 2012 Alexander Kurtakov <akurtako@redhat.com> 8.1.2-2
- Drop envr from jpackage-utils as it was wrong.

* Thu Apr 26 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.2-1
- Update to 8.1.2 upstream release

* Wed Apr 25 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.0-7
- Split into number of subpackages

* Mon Apr 23 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.0-6
- Drop init script, resolves #814788
- Remove jetty.script from SCM
- Reload systemd on package install/upgrade/remove

* Wed Apr 18 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.0-5
- Replace eclipse-rcp BR with felix-framework
- Add missing R: felix-framework

* Fri Feb 24 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.0-4
- Add geronimo-annotation to Requires

* Thu Feb 23 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.0-3
- Fix web server running example webapp
- Add systemd unit file and conversion scriptlets

* Wed Feb 22 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.0-2
- Fix #794913 - missing user management utils during install

* Wed Feb  1 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.0-1
- Update to final release

* Mon Jan 30 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.0-0.4.rc5
- Fix upgrade path problems
- Symlink conf files into etc (so users still see them there)

* Thu Jan 26 2012 Alexander Kurtakov <akurtako@redhat.com> 8.1.0-0.3.rc5
- Revert the dependency on jetty-parent - we don't need the whole maven stack when installing jetty.
- Make the javadoc package not depend on the main one.

* Thu Jan 26 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.0-0.2.rc5
- Add jetty-parent to Requires

* Wed Jan 25 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.0-0.1.rc5
- Update to rc5
- Remove symbolic name patch (not needed after bundle plugin fix)

* Wed Jan 25 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.0-0.1.RC4
- Major update to 8.1.0 RC4
- Removed manual subpackage (was empty anyway)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.1.26-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Aug 12 2011 Alexander Kurtakov <akurtako@redhat.com> 6.1.26-8
- Install jetty-client and its deps into _javadir and provide maven integration.

* Tue Jun 28 2011 Alexander Kurtakov <akurtako@redhat.com> 6.1.26-7
- Adapt build for maven 3.x.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.1.26-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Alexander Kurtakov <akurtako@redhat.com> 6.1.26-5
- Do not require tomcat6-lib.
- Drop one depmap.

* Tue Dec 14 2010 Alexander Kurtakov <akurtako@redhat.com> 6.1.26-4
- Do not require apache-commons-parent in order to not bring maven and friends.

* Wed Dec 01 2010 Jeff Johnston <jjohnstn@redhat.com> 6.1.26-3
- Resolves #655808
- Fix util pom to reference javax.servlet groupid for servlet-api.
- Don't add tomcat6-servlet-api to depmap.
- Remove tomcat5 BR.

* Mon Nov 22 2010 Jeff Johnston <jjohnstn@redhat.com> 6.1.26-2
- Resolves #652020
- Remove tomcat5 references and replace with appropriate alternatives.

* Fri Nov 12 2010 Alexander Kurtakov <akurtako@redhat.com> 6.1.26-1
- Update to 6.1.26.

* Tue Jun 15 2010 Alexander Kurtakov <akurtako@redhat.com> 6.1.24-1
- Update to 6.1.24.

* Wed Dec 02 2009 Jeff Johnston <jjohnstn@redhat.com> 6.1.21-4
- Resolves #543081
- Add maven depmap fragments.

* Tue Nov 03 2009 Jeff Johnston <jjohnstn@redhat.com> 6.1.21-3
- Security issues
- Resolves #532675, #5326565

* Tue Sep 29 2009 Alexander Kurtakov <akurtako@redhat.com> 6.1.21-2
- Install unversioned jars.

* Tue Sep 29 2009 Alexander Kurtakov <akurtako@redhat.com> 6.1.21-1
- Update to upstream 6.1.21 release.

* Fri Sep 18 2009 Jeff Johnston <jjohnstn@redhat.com> 6.1.20-3
- Add djetty script source and fix init script to work properly.

* Tue Sep 15 2009 Alexander Kurtakov <akurtako@redhat.com> 6.1.20-2
- Fix requires.

* Tue Sep 15 2009 Alexander Kurtakov <akurtako@redhat.com> 6.1.20-1
- Update to upstream 6.1.20.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 21 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.15-3
- Do not allow directory listings.

* Tue May 19 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.15-2
- Update OSGI manifest file.

* Tue May 19 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.15-1
- Upgrade to 5.1.15 source tarball for Fedora.

* Wed Apr 22 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-3
- Add %%{libdir} to files list.
- Resolves #473585

* Wed Feb 11 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1.10
- Rename jettyc back to .jettyrc.
- Resolves #485012

* Tue Feb 03 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1.9
- Change %%{_sysconfdir}/init.d references to be %%{_initrddir}

* Mon Feb 02 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1.8
- Fixes for unowned directories.

* Tue Jan 06 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1.7
- Patch init.d script to add status operation
- Patch unix djetty script so it doesn't issue error messages about /dev/tty
  and fix various inconsistencies with the init.d script

* Tue Aug 12 2008 Andrew Overholt <overholt@redhat.com> 5.1.14-1.6
- Require tomcat5 bits with proper OSGi metadata

* Fri Jul 11 2008 Andrew Overholt <overholt@redhat.com> 5.1.14-1.5
- Bump release.

* Fri Jul 11 2008 Andrew Overholt <overholt@redhat.com> 5.1.14-1.3
- Update OSGi manifest

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 5.1.14-1.3
- drop repotag

* Fri Jul 04 2008 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1jpp.2
- Security patch
- Resolves #417401, #417411, #417391

* Wed Jun 25 2008 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1jpp.1
- Upgrade to 5.1.14 source tarball for Fedora

* Fri Aug 31 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.7
- Resolves #262221
- Use /bin/sh instead of /sbin/nologin so init will work

* Thu Aug 30 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.6
- Rename all source files from jetty5 to jetty
- Replace jetty5 references with jetty in source files

* Tue Aug 28 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.5
- Rename from jetty5 to jetty

* Mon Aug 27 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.4
- Remove post manual step
- Remove jsse requirement
- Add comment inside jetty.conf so it isn't empty

- Use /sbin/nologin when creating the jetty5 user and group
* Mon Aug 27 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.3
- Use /sbin/nologin when creating the jetty5 user and group
- Remove all jars in %%prep
- Remove unnecessary preun step for removing extra jars
- Fix license
- Fix group for manual subpackage
- Fix group for javadoc subpackage
- Add comment regarding empty jetty.conf file
- Add jsp requirement
- Remove %%post javadoc ln command
- Remove %%post manual ln command
- Change source0 tarball to remove BCLA-licensed jars
- Remove epoch 0 references in subpackage requires for extras and manual
- Rename .jettyrc to jettyrc
- Remove hidden files
- Don't install gcj files twice

* Fri Aug 24 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.2
- Remove demo subpackage.

* Wed Aug 08 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.1
- Comment out demo subpackage.

* Mon Aug 06 2007 Ben Konrath <bkonrath@redhat.com> 5.1.12-1jpp.1
- Add --excludes to aot-compile-rpm line.
- Inject OSGi manifest into jetty jar.

* Thu Jul 19 2007 Andrew Overholt <overholt@redhat.com> 5.1.12-1jpp.1
- Update to 5.1.12 for Fedora.
- Use fedora-usermgmt stuff.

* Fri Feb 02 2007 Ralph Apel <r.apel at r-apel.de> - 0:5.1.12-1jpp
- Upgrade to 5.1.12
- Add gcj_support option
- Avoid circular dependency with mx4j-tools thru bootstrap option

* Sat Aug 12 2006 Anthony Green <green@redhat.com> - 0:5.1.11-0.rc0.4jpp
- Escape macros in changelog with %.
- Untabify.
- Don't delete symlinks in %%preun.
- Add logrotate file.
- Don't install unversioned javadoc files.
- Don't rm old links in manual package.
- Convert some end-of-line encodings.

* Fri Aug 11 2006 Anthony Green <green@redhat.com> - 0:5.1.11-0.rc0.3jpp
- First Fedora build.
- Disable extras.
- Use fedora-useradd & fedora-userdel.
- Add gcj support.
- Tweak License and Group tags for rpmlint.
- Use full URL for Source0.

* Thu Aug 10 2006 Ralph Apel <r.apel@r-apel.de> - 0:5.1.11-0.rc0.2jpp
- Fix version/release in changelog
- Introduce option '--without extra' to omit this subpackage and its (B)Rs
- Don't delete user on erase
- Tidy up BRs
- Add commons-el.jar to ext
- No ghost for lib/org.mortbay.jetty.jar, lib/org.mortbay.jmx.jar
- Avoid use of build-jar-repository in spec
- Avoid use of rebuild-jar-repository in init and start script
- Don't handle JETTY_PID file in init script: start script takes care
- Patch PostFileFilter to remove a (unused) com.sun package import
- Explicitly (B)R  geronimo-jta-1.0.1B-api instead of any jta
- Add empty file /etc/jetty5/jetty.conf:
  activate contexts manually if desired

* Tue Jun 20 2006 Ralph Apel <r.apel@r-apel.de> - 0:5.1.2-3jpp
- First JPP-1.7 release

* Mon Mar 14 2005 Ralph Apel <r.apel@r-apel.de> - 0:5.1.2-2jpp
- link commons-logging to %%{_homedir}/ext
- link jspapi to %%{_homedir}/ext
- only use %%{_homedir}/etc not conf

* Tue Feb 01 2005 Ralph Apel <r.apel@r-apel.de> - 0:5.1.2-1jpp
- Upgrade to 5.1.2
- Prepare for build with Java 1.5, (thx to Petr Adamek)
- Require /sbin/chkconfig instead of chkconfig package

* Tue Jan 04 2005 Ralph Apel <r.apel@r-apel.de> - 0:5.0.0-2jpp
- Include build of extra, so called JettyPlus
- Create own subdirectory for jetty5 in %%{_javadir}
- Change %%{_homedir}/conf to %%{_homedir}/etc
- Dropped chkconfig requirement; just exec if /sbin/chkconfig available
- Fixed unpackaged .jettyrc

* Mon Oct 04 2004 Ralph Apel <r.apel@r-apel.de> - 0:5.0.0-1jpp
- Upgrade to 5.0.0
- Fixed URL
- relaxed some versioned dependencies

* Mon Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:4.2.20-2jpp
- Rebuild with ant-1.6.2

* Fri Jun 18 2004 Ralph Apel <r.apel@r-apel.de> - 0:4.2.20-1jpp
- Upgrade to 4.2.20
- Drop ownership of /usr/share/java and /usr/bin

* Tue Feb 24 2004 Ralph Apel <r.apel@r-apel.de> - 0:4.2.17-2jpp
- enhancements and corrections thanks to Kaj J. Niemi:
- $JETTY_HOME/ext didn't exist but %%post depended on it
- correctly shutdown jetty upon uninstall
- RedHat depends on chkconfig/service to work so a functional
  init.d/jetty4 needed to be created
- djetty4 (jetty.sh) did funny things especially when it attempted to guess
  stuff
- a lot of .xml config files assumed that the configs were in etc/ instead of
  conf/

* Thu Feb 19 2004 Ralph Apel <r.apel@r-apel.de> - 0:4.2.17-1jpp
- First JPackage release.
